# Function replacePropertiesWithTypes

- replacePropertiesWithTypes(obj: any, replacedProperties: string[]): any

  Remplace la valeur de propriétés par leur typeof, sur toute la profondeur de l'objet. Valorisation avec le typeof pour conserver la vérification du type dans le cas d'une comparaison d'objets. Avantages :

  - gère l'ensemble de la profondeur de l'objet
  - peut être intégré à un test toMatchObject qui permet une meilleure lisibilité des erreurs potentielles ({@see validatePhpUnitSnapshot})

  #### Parameters

  - obj: any

    objet à modifier

  - replacedProperties: string[]

    propriétés à remplacer

  #### Returns any

  - Defined in jamespot-user-api/src/util/object.ts:109